/*
 * @Author: WuWei
 * @Date: 2020-08-10 17:22:36
 * @LastEditors  : WuWei
 * @LastEditTime : 2021-11-11 17:05:39
 * @Description:
 */

class PayListModel {
  String? assetName;
  dynamic billType;
  String? payAt;
  String? id;
  String? payWay;
  String? payType;
  num? payFee;
  String? payer;
  String? createBy;
  String? assetId;

  PayListModel({
    this.assetName,
    this.billType,
    this.payAt,
    this.id,
    this.payWay,
    this.payType,
    this.payFee,
    this.payer,
    this.createBy,
    this.assetId,
  });

  PayListModel.fromJson(json) {
    Map<String, dynamic> map = Map.from(json ?? {});

    assetName = map['assetName'];
    billType = map['billType'];
    createBy = map['createBy'];
    payAt = map['payAt'];
    id = map['id'];
    payWay = map['payWay'];
    payType = map['payType'];
    payFee = map['payFee'];
    payer = map['payer'];
    assetId = map['assetId'];
  }

  Map<String, dynamic> toJson() {
    Map<String, dynamic> json = Map<String, dynamic>();

    json['assetName'] = this.assetName;
    json['billType'] = this.billType;
    json['payAt'] = this.payAt;
    json['createBy'] = this.createBy;
    json['id'] = this.id;
    json['payWay'] = this.payWay;
    json['payType'] = this.payType;
    json['payFee'] = this.payFee;
    json['payer'] = this.payer;
    json['assetId'] = this.assetId;

    return json;
  }
}

class BillTypeModel {
  String? code;
  String? name;

  BillTypeModel({
    this.code,
    this.name,
  });

  BillTypeModel.fromJson(json) {
    Map<String, dynamic> map = Map.from(json ?? {});

    code = map['code'];
    name = map['name'];
  }

  Map<String, dynamic> toJson() {
    Map<String, dynamic> json = Map<String, dynamic>();

    json['code'] = this.code;
    json['name'] = this.name;
    return json;
  }
}
